Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665938 - net-analyzer/cacti-spine: Validate DEPEND on virtual/mysql
Summary: net-analyzer/cacti-spine: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Netmon project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:32 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:32:09 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-14 19:31:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2ea25cfe7c62d6b22d594206b2139dff13bdb62

commit e2ea25cfe7c62d6b22d594206b2139dff13bdb62
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-14 19:30:58 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-14 19:30:58 +0000

    net-analyzer/cacti-spine: Revbumps for dependency change
    
    Non-maintainer commit
    
    Bug: https://bugs.gentoo.org/665938
    Package-Manager: Portage-2.3.60, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 .../{cacti-spine-1.1.28.ebuild => cacti-spine-1.1.28-r1.ebuild}     | 6 +++---
 .../{cacti-spine-1.1.38.ebuild => cacti-spine-1.1.38-r1.ebuild}     | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)
Comment 2 Larry the Git Cow gentoo-dev 2019-03-09 14:29:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=478becc36dcda997cd0fa9fcd8fe85e7ddbfa229

commit 478becc36dcda997cd0fa9fcd8fe85e7ddbfa229
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2019-03-09 14:27:23 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2019-03-09 14:29:30 +0000

    net-analyzer/cacti: Version 1.2.2
    
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Fixes: https://bugs.gentoo.org/show_bug.cgi?id=665938
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/cacti/Manifest           |  1 +
 net-analyzer/cacti/cacti-1.2.2.ebuild | 48 +++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2019-03-09 14:38:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50136e4cf201afd4061e2bf77bdc66b93214e565

commit 50136e4cf201afd4061e2bf77bdc66b93214e565
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2019-03-09 14:38:10 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2019-03-09 14:38:43 +0000

    net-analyzer/cacti: Drop virtual/mysql RDEPEND
    
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=665938
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/cacti/{cacti-1.1.38.ebuild => cacti-1.1.38-r1.ebuild} | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)